### Method

# Qmi MessageDmsSwiSetUsbCompositionInput ref

since: 1.20

#### Declaration [src]

    QmiMessageDmsSwiSetUsbCompositionInput*
    qmi_message_dms_swi_set_usb_composition_input_ref (
      QmiMessageDmsSwiSetUsbCompositionInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.20

#### Return value

Type: `QmiMessageDmsSwiSetUsbCompositionInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.